Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthAal5App.h File Reference This file contains the declaration of the IxEthAal5App component's main functions, etc. More... Go to the source code of this file.
## Defines
#define | IX_EAA_NUM_BUFFERS_PER_ETH
| This is the number of buffers, which can be stored in free buffer queue for each ethernet port.
#define | IX_EAA_NUM_ATM_PORTS
| Define number of supported atm ports by this application.
#define | IX_EAA_NUM_BUFFERS_PER_VC
| This is the number of buffers per atm port.
#define | IX_EAA_PORT1_VPI
| Define default VPI and VCI for 8 ports. User can define them in EthAal5User.h file to overwrite definitions below.
#define | IX_EAA_PORT1_VCI
#define | IX_EAA_PORT2_VPI
#define | IX_EAA_PORT2_VCI
#define | IX_EAA_PORT3_VPI
#define | IX_EAA_PORT3_VCI
#define | IX_EAA_PORT4_VPI
#define | IX_EAA_PORT4_VCI
#define | IX_EAA_PORT5_VPI
#define | IX_EAA_PORT5_VCI
#define | IX_EAA_PORT6_VPI
#define | IX_EAA_PORT6_VCI
#define | IX_EAA_PORT7_VPI
#define | IX_EAA_PORT7_VCI
#define | IX_EAA_PORT8_VPI
#define | IX_EAA_PORT8_VCI
#define | IX_EAA_MAC1
| Define default for MAC1 address for ixEAAAddMac() function.
#define | IX_EAA_MAC2
| Define default for MAC2 address for ixEAAAddMac() function.
#define | IX_EAA_MAC3
| Define default for MAC3 address for ixEAAAddMac() function.
#define | IX_EAA_MAC4
| Define default for MAC4 address for ixEAAAddMac() function.
#define | IX_EAA_MAC5
| Define default for MAC5 address for ixEAAAddMac() function.
#define | IX_EAA_MAC6
| Define default for MAC6 address for ixEAAAddMac() function.
#define | IX_EAA_PORT0
| Define default for Port number for ixEAAAddMac() function.
## Functions
PUBLIC IX_STATUS | ixEthAal5AppCodeletMain (IxEAAModeType modeType)
| This is the main function that executes the EthAal5App codelet.
## Detailed Description This file contains the declaration of the IxEthAal5App component's main functions, etc. Author: Intel Corporation Date: 3 Apr 2002 Version: Revision 1.22 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxEthAal5App.h.
Automatically generated from sources. © Intel Corp. 2003